/** @file pswarpVersion.c
 *
 *  @brief
 *
 *  @ingroup pswarp
 *
 *  @author IfA
 *  @version $Revision: 1.1.48.1 $ $Name: not supported by cvs2svn $
 *  @date $Date: 2009-02-02 21:57:10 $
 *  Copyright 2009 Institute for Astronomy, University of Hawaii
 */

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <stdio.h>
#include <pslib.h>
#include <psmodules.h>
#include "pswarp.h"

static const char *cvsTag = "$Name: not supported by cvs2svn $";///< CVS tag name

psString pswarpVersion(void)
{
    psString version = NULL;            ///< Version, to return
    psStringAppend(&version, "%s-%s",PACKAGE_NAME,PACKAGE_VERSION);
    return version;
}

psString pswarpVersionLong(void)
{
    psString version = pswarpVersion(); ///< Version, to return
    psString tag = psStringStripCVS(cvsTag, "Name"); ///< CVS tag
    psStringAppend(&version, " (cvs tag %s) %s, %s", tag, __DATE__, __TIME__);
    psFree(tag);
    return version;
}

